Bug 24275 - Inventory table should be sortable by title without leading articles (allow for title sort with anti-the)
Summary: Inventory table should be sortable by title without leading articles (allow f...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial with 10 votes (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-19 13:20 UTC by Nick Clemens
Modified: 2020-02-13 23:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 24275: Apply anti-the to title column in inventory table (1.57 KB, patch)
2019-12-19 13:23 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24275: Apply anti-the to title column in inventory table (1.62 KB, patch)
2020-01-07 13:06 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24275: Apply anti-the to title column in inventory table (1.69 KB, patch)
2020-01-14 10:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-12-19 13:20:59 UTC
Some libraries have sections where the books are ordered by title, or they want to get a title sorted list from inventory. Currently we don't ignore leading articles, we should add anti-the to the table
Comment 1 Nick Clemens 2019-12-19 13:23:28 UTC
Created attachment 96485 [details] [review]
Bug 24275: Apply anti-the to title column in inventory table

To test:
1 - Go to Tools->Inventory
2 - Click submit (or add options to get a subset of titles)
3 - Try sorting by title, note that titles with leading articles sort including the articles
4 - Apply patch
5 - Reload the page
6 - Note that leading articles are ignored for sorting
Comment 2 Deb 2019-12-20 15:16:14 UTC
I followed the plan and worked as intended.
Comment 3 Nick Clemens 2020-01-07 13:06:03 UTC
Created attachment 96890 [details] [review]
Bug 24275: Apply anti-the to title column in inventory table

To test:
1 - Go to Tools->Inventory
2 - Click submit (or add options to get a subset of titles)
3 - Try sorting by title, note that titles with leading articles sort including the articles
4 - Apply patch
5 - Reload the page
6 - Note that leading articles are ignored for sorting

Signed-off-by: Deb <dstephen@dubuque.lib.ia.us>
Comment 4 Jonathan Druart 2020-01-14 10:16:30 UTC
Created attachment 97338 [details] [review]
Bug 24275: Apply anti-the to title column in inventory table

To test:
1 - Go to Tools->Inventory
2 - Click submit (or add options to get a subset of titles)
3 - Try sorting by title, note that titles with leading articles sort including the articles
4 - Apply patch
5 - Reload the page
6 - Note that leading articles are ignored for sorting

Signed-off-by: Deb <dstephen@dubuque.lib.ia.us>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-01-15 13:57:00 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-01-31 23:26:10 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 7 Lucas Gass 2020-02-12 23:09:21 UTC
backported to 19.05.x for 19.05.08
Comment 8 Hayley Mapley 2020-02-13 23:02:08 UTC
Enhancement will not be backported to 18.11.x series.